summaryrefslogtreecommitdiffstats
path: root/network/rspamd
diff options
context:
space:
mode:
author Ebben Aries <e@dscp.org>2018-10-30 17:50:45 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-11-03 07:46:39 +0700
commitc935c196582743207051a87f08f5178f02b39240 (patch)
tree9b0d3eb98918f9dd306b658bd9668eb050185c82 /network/rspamd
parente2114fd37616faaf85368fa06bafafb1ec3a9587 (diff)
downloadslackbuilds-c935c196582743207051a87f08f5178f02b39240.tar.gz
slackbuilds-c935c196582743207051a87f08f5178f02b39240.tar.xz
network/rspamd: Added (An advanced spam filtering system).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/rspamd')
-rw-r--r--network/rspamd/README12
-rw-r--r--network/rspamd/rspamd.SlackBuild106
-rw-r--r--network/rspamd/rspamd.info10
-rw-r--r--network/rspamd/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/network/rspamd/README b/network/rspamd/README
new file mode 100644
index 0000000000..01bded1e3d
--- /dev/null
+++ b/network/rspamd/README
@@ -0,0 +1,12 @@
+rspamd (An advanced spam filtering system)
+
+Rspamd is an advanced spam filtering system that allows evaluation of
+messages by a number of rules including regular expressions, statistical
+analysis and custom services such as URL black lists. Each message is
+analysed by Rspamd and given a spam score.
+
+According to this spam score and the user's settings Rspamd recommends
+an action for the MTA to apply to the message: for example, to pass, to
+reject or to add a header. Rspamd is designed to process hundreds of
+messages per second simultaneously and has a number of features
+available.
diff --git a/network/rspamd/rspamd.SlackBuild b/network/rspamd/rspamd.SlackBuild
new file mode 100644
index 0000000000..3e9864993b
--- /dev/null
+++ b/network/rspamd/rspamd.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for Rspamd
+
+# Copyright 2018 Ebben Aries <e@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=rspamd
+VERSION=${VERSION:-1.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCONFDIR=/etc/$PRGNAM \
+ -DLIBDIR=/usr/lib${LIBDIRSUFFIX}/$PRGNAM \
+ -DMANDIR=/usr/man \
+ -DEXAMPLESDIR=/usr/doc/$PRGNAM-$VERSION/examples \
+ -DENABLE_STATIC=OFF \
+ -DENABLE_HYPERSCAN=ON \
+ -DENABLE_JEMALLOC=ON \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS.md ChangeLog CONTRIBUTIONS.md LICENSE.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/rspamd/rspamd.info b/network/rspamd/rspamd.info
new file mode 100644
index 0000000000..c5d451e1c1
--- /dev/null
+++ b/network/rspamd/rspamd.info
@@ -0,0 +1,10 @@
+PRGNAM="rspamd"
+VERSION="1.8.1"
+HOMEPAGE="https://rspamd.com"
+DOWNLOAD="https://github.com/rspamd/rspamd/archive/1.8.1/rspamd-1.8.1.tar.gz"
+MD5SUM="4dfc339a639295ba3fa3bfe0f9dbf6b0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="luajit redis hyperscan"
+MAINTAINER="Ebben Aries"
+EMAIL="e@dscp.org"
diff --git a/network/rspamd/slack-desc b/network/rspamd/slack-desc
new file mode 100644
index 0000000000..c62c61c263
--- /dev/null
+++ b/network/rspamd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rspamd: rspamd (An advanced spam filtering system)
+rspamd:
+rspamd: Rspamd is an advanced spam filtering system that allows evaluation of
+rspamd: messages by a number of rules including regular expressions,
+rspamd: statistical analysis and custom services such as URL black lists.
+rspamd: Each message is analysed by rspamd and given a spam score.
+rspamd:
+rspamd:
+rspamd:
+rspamd:
+rspamd: